worker_processes  1;

events {
    worker_connections  1024;
}


http {

    include       mime.types;
    default_type  application/octet-stream;
    sendfile        on;
    keepalive_timeout  65;
    client_max_body_size 50m;

   server { 
	listen 81;
	server_name 120.46.159.163;
    # ssl_certificate  /home/nginx/html/dms-supplier/ssl/www.dljpwx.com.crt;
    # ssl_certificate_key  /home/nginx/html/dms-supplier/ssl/www.dljpwx.com.key;
    # ssl_session_cache   shared:SSL:1m;
    # ssl_ciphers  HIGH:!aNULL:!MD5;
    # ssl_prefer_server_ciphers  on;
    
    location / {
        root /home/nginx/html/dms-supplier/dist;
        try_files $uri $uri/ /index.html;
        index  index.html index.htm;
    }

    location /ezhizao-dms-sys/{
        proxy_set_header Host $http_host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header REMOTE-HOST $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_pass http://120.46.159.163:7001/;
    }

    location /ezhizao-dms-p2/{
        proxy_set_header Host $http_host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header REMOTE-HOST $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_pass http://120.46.159.163:7002/;
    }

    location /ezhizao-dms-production/{
        proxy_set_header Host $http_host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header REMOTE-HOST $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_pass http://120.46.159.163:7003/;
    }
    location /ezhizao-dms-app/{
	    proxy_set_header Host $http_host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header REMOTE-HOST $remote_addr;
	    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
	    proxy_pass http://120.46.159.163:7004/;
    }
    location /ezhizao-dms-supplier-api/{
        proxy_set_header Host $http_host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header REMOTE-HOST $remote_addr;
	    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
	    proxy_pass http://120.46.159.163:7005/;
    }

        error_page   500 502 503 504  /50x.html;
        location = /50x.html {
            root   html;
        }
   }



}
